Drobo

Getting error "Fisheye_hemi v1.0 for Aperture

Hello,

I want to install Drobodashboard 3.5 but I get a notice when I want to install Dashboard “Fisheye-Hemi v1.0 for Aperture in from a unknown source…”
What is going on is the installer infected? (MacOS Mojave)

Hi Joe,

Please use the following link below for the legitimate download page of Drobo products.

Thank you,
Nerd

Thats what I did second. First from the app the update and after getteing this message I donwloaded it form that page you give and both give this message.